package server

import (
	"git.loafle.net/commons_go/rpc"
	"git.loafle.net/commons_go/server"
)

func New(addr string, registry rpc.Registry) server.Server {

	sh := NewServerHandler(addr, registry)
	sh.workersChan = make(chan struct{}, 10)

	s := server.NewServer(sh)

	return s
}
